Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Runs

Manage and run evals in the OpenAI platform.

Cancel eval run
POST
/evals/{eval_id}/runs/{run_id}/cancel
Create eval run
POST
/evals/{eval_id}/runs
Delete eval run
DELETE
/evals/{eval_id}/runs/{run_id}
Get eval runs
GET
/evals/{eval_id}/runs
Get an eval run
GET
/evals/{eval_id}/runs/{run_id}
Models
CreateEvalCompletionsRunDataSource object { source, type, input_messages, 2 more }

A CompletionsRunDataSource object describing a model sampling configuration.

CreateEvalJSONLRunDataSource object { source, type }

A JsonlRunDataSource object with that specifies a JSONL file that matches the eval

EvalAPIError object { code, message }

An object representing an error response from the Eval API.

code: string

The error code.

message: string

The error message.

RunCancelResponse object { id, created_at, data_source, 11 more }

A schema representing an evaluation run.

RunCreateResponse object { id, created_at, data_source, 11 more }

A schema representing an evaluation run.

RunDeleteResponse object { deleted, object, run_id }
deleted: optional boolean
object: optional string
run_id: optional string
RunListResponse object { id, created_at, data_source, 11 more }

A schema representing an evaluation run.

RunRetrieveResponse object { id, created_at, data_source, 11 more }

A schema representing an evaluation run.

RunsOutput Items

Manage and run evals in the OpenAI platform.

Get eval run output items
GET
/evals/{eval_id}/runs/{run_id}/output_items
Get an output item of an eval run
GET
/evals/{eval_id}/runs/{run_id}/output_items/{output_item_id}
Models
OutputItemListResponse object { id, created_at, datasource_item, 7 more }

A schema representing an evaluation run output item.

OutputItemRetrieveResponse object { id, created_at, datasource_item, 7 more }

A schema representing an evaluation run output item.